org.apache.cassandra.config

## Class UTMetaData

- java.lang.Object
- - org.apache.cassandra.config.UTMetaData

    public final class UTMetaData
    extends java.lang.Object

Defined (and loaded) user types. In practice, because user types are global, we have only one instance of this class that retrieve through the Schema class.

### Constructor Summary

Constructors
Constructor and Description
`UTMetaData()`
`UTMetaData(java.util.Map<java.nio.ByteBuffer,UserType> types)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addType(UserType type)`
`boolean` `equals(java.lang.Object that)`
`java.util.Map<java.nio.ByteBuffer,UserType>` `getAllTypes()`
`UserType` `getType(java.nio.ByteBuffer typeName)`
`void` `removeType(UserType type)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UTMetaData

    public UTMetaData()

#### UTMetaData

    public UTMetaData(java.util.Map<java.nio.ByteBuffer,UserType> types)

### Method Detail

#### getType

    public UserType getType(java.nio.ByteBuffer typeName)

#### getAllTypes

    public java.util.Map<java.nio.ByteBuffer,UserType> getAllTypes()

#### addType

    public void addType(UserType type)

#### removeType

    public void removeType(UserType type)

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`